> ## Documentation Index
> Fetch the complete documentation index at: https://loops.so/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an event pattern by ID

> Retrieve event pattern details for a workflow event trigger.



## OpenAPI

````yaml /openapi.json get /v1/event-patterns/{eventPatternId}
openapi: 3.1.0
info:
  title: Loops OpenAPI Spec
  description: This is the OpenAPI Spec for the [Loops API](https://loops.so/docs/api).
  version: 1.20.0
servers:
  - url: https://app.loops.so/api
security: []
tags:
  - name: API key
  - name: Audience segments
    description: View audience segments
  - name: Campaigns
    description: Create and manage email campaigns
  - name: Campaign groups
    description: Organize campaigns into groups
  - name: Components
    description: View email components
  - name: Configuration
    description: View configuration settings
  - name: Contacts
    description: Manage contacts in your audience
  - name: Contact properties
    description: Manage contact properties
  - name: Email messages
    description: Manage email message content for campaigns
  - name: Events
    description: Trigger workflows with events
  - name: Event patterns
    description: View workflow event patterns
  - name: Mailing lists
    description: View mailing lists
  - name: Themes
    description: View email themes
  - name: Transactional emails
    description: Create, manage, and send transactional emails
  - name: Transactional groups
    description: Organize transactional emails into groups
  - name: Uploads
    description: Upload image assets
  - name: Workflows
    description: View and mutate workflow graphs
  - name: Workflow nodes
    description: View and mutate workflow nodes
paths:
  /v1/event-patterns/{eventPatternId}:
    parameters:
      - name: eventPatternId
        in: path
        required: true
        description: The ID of the event pattern.
        schema:
          type: string
    get:
      tags:
        - Event patterns
      summary: Get an event pattern by ID
      description: Retrieve event pattern details for a workflow event trigger.
      operationId: getEventPattern
      responses:
        '200':
          description: Successful.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EventPattern'
        '400':
          description: Invalid `eventPatternId`.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EventPatternFailureResponse'
        '401':
          description: >-
            Invalid API key or workflow API beta access not enabled for this
            team.
        '404':
          description: Event pattern not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EventPatternFailureResponse'
        '405':
          description: Wrong HTTP request method.
      security:
        - apiKey: []
components:
  schemas:
    EventPattern:
      type: object
      properties:
        id:
          type: string
        eventName:
          type: string
          description: >-
            The name of the event pattern. Use this when sending events with the
            API.
        eventProperties:
          type: array
          items:
            $ref: '#/components/schemas/WorkflowEventProperty'
          description: The properties of the event pattern, which can be used in emails.
        incomingWebhookPlatform:
          type:
            - string
            - 'null'
          description: >-
            The platform that sent this event pattern, if the event pattern is
            from an incoming webhook. Will be `null` for custom events.
          enum:
            - clerk
            - polar
            - stripe
            - supabase
            - 'null'
      required:
        - id
        - eventName
        - eventProperties
        - incomingWebhookPlatform
    EventPatternFailureResponse:
      type: object
      properties:
        message:
          type: string
      required:
        - message
    WorkflowEventProperty:
      type: object
      properties:
        name:
          type: string
        type:
          type: string
          enum:
            - string
            - number
            - boolean
            - date
      required:
        - name
        - type
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer

````